FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum Development » Bug Reports » Upgrade script and parsing GLOBALS.php
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Upgrade script and parsing GLOBALS.php [message #32020] Thu, 01 June 2006 10:13 Go to next message
JamesS is currently offline  JamesS   United States
Messages: 275
Registered: July 2002
Location: Atlanta, GA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
I have a test forum on my laptop that is version 2.6.3 (I don't do a lot of testing). I tried to upgrade it to 2.7.4 and got the error "Failed to parse GLOBALS.php at "/Library/WebServer/Documents/forum/GLOBALS.php" correctly." The contents of GLOBALS.php in that location is:

<?php include_once "/Library/WebServer/FUDforum/include/GLOBALS.php"?>

The GLOBALS.php referenced in that file is a normal GLOBALS.php with all appropriate values set.

It looks like the upgrade script assumes the GLOBALS.php in the forum public web root is a symbolic link. This is not the case all the time.
Re: Upgrade script and parsing GLOBALS.php [message #32026 is a reply to message #32020] Thu, 01 June 2006 18:36 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
What OS are you one? It sounds like the forum is thinking you are on windows and using the non-symlink based approach to load globals.php

FUDforum Core Developer
Re: Upgrade script and parsing GLOBALS.php [message #32027 is a reply to message #32020] Thu, 01 June 2006 19:03 Go to previous messageGo to next message
JamesS is currently offline  JamesS   United States
Messages: 275
Registered: July 2002
Location: Atlanta, GA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Mac OS 10.4. That is the way the install script set it up; all I did was specify the directories where I wanted the public web root and the non-public data files. The forum operates just fine. It is the upgrade script that has problems. I looked at it and it seems to only do a verification that would work with a symlinked file.
Re: Upgrade script and parsing GLOBALS.php [message #32048 is a reply to message #32027] Sat, 03 June 2006 12:54 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Can you send me your GLOBALS.php via PM pleasE?

FUDforum Core Developer
Re: Upgrade script and parsing GLOBALS.php [message #32050 is a reply to message #32048] Sat, 03 June 2006 22:31 Go to previous message
JamesS is currently offline  JamesS   United States
Messages: 275
Registered: July 2002
Location: Atlanta, GA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Sent.
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: FUD sql in log
Next Topic: Explanation of spoiler tag in the FAQ
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Sun Dec 10 21:26:58 EST 2017

Total time taken to generate the page: 0.00830 seconds